Bug 1127547 (CVE-2014-5265, CVE-2014-5266) - CVE-2014-5265 CVE-2014-5266 wordpress: security issues fixed in version 3.9.2
Summary: CVE-2014-5265 CVE-2014-5266 wordpress: security issues fixed in version 3.9.2
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-5265, CVE-2014-5266
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1127548 1127549
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 06:15 UTC by Murray McAllister
Modified: 2019-09-29 13:20 UTC (History)
2 users (show)

Fixed In Version: wordpress 3.9.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:15 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-07 06:15:53 UTC
The WordPress 3.9.2 release fixes the following security issue:

""
This release fixes a possible denial of service issue in PHP’s XML processing, reported by Nir Goldshlager of the Salesforce.com Product Security Team. It  was fixed by Michael Adams and Andrew Nacin of the WordPress security team and David Rothstein of the Drupal security team. This is the first time our two projects have coordinated joint security releases.
""

A number of other security-related issues (that may receive CVEs) were fixed in this release. Refer to the upstream announcement for further details:

https://wordpress.org/news/2014/08/wordpress-3-9-2/

CVE request:

http://www.openwall.com/lists/oss-security/2014/08/07/2

Comment 1 Murray McAllister 2014-08-07 06:16:47 UTC
Created wordpress tracking bugs for this issue:

Affects: fedora-all [bug 1127548]
Affects: epel-all [bug 1127549]

Comment 2 Murray McAllister 2014-08-18 03:01:22 UTC
MITRE assigned CVE-2014-5265 to the denial of service issue:

http://seclists.org/oss-sec/2014/q3/385
https://core.trac.wordpress.org/changeset/29405/branches/3.9

Comment 3 Murray McAllister 2014-08-18 03:02:47 UTC
(In reply to Murray McAllister from comment #2)
> MITRE assigned CVE-2014-5265 to the denial of service issue:
> 
> http://seclists.org/oss-sec/2014/q3/385
> https://core.trac.wordpress.org/changeset/29405/branches/3.9

This CVE also applies to the same issue in Drupal:

https://bugzilla.redhat.com/show_bug.cgi?id=1127538
http://cgit.drupalcode.org/drupal/diff/includes/xmlrpc.inc?id=1849830

Comment 4 Murray McAllister 2014-08-19 03:07:04 UTC
MITRE assigned CVE-2014-5266 to the "Bail if there are too many elements to parse" issue:

https://core.trac.wordpress.org/changeset/29405/branches/3.9

This CVE also applies to the "Skip parsing if there is an unreasonably large number of tags" issue in xmlrpc.inc and xrds.inc in Drupal:

https://bugzilla.redhat.com/show_bug.cgi?id=1127538
http://cgit.drupalcode.org/drupal/diff/includes/xmlrpc.inc?id=1849830
http://cgit.drupalcode.org/drupal/diff/modules/openid/xrds.inc?id=1849830

Comment 5 Fedora Update System 2014-08-21 09:45:03 UTC
wordpress-3.9.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-23 01:58:51 UTC
wordpress-3.9.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-29 19:42:43 UTC
wordpress-3.9.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-08-29 19:43:31 UTC
wordpress-3.9.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-08 02:34:15 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.